#
# spec file for package kseg (Version 0.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp libjpeg liblcms libmng libpng mesa mesa-devel mesasoft qt qt-devel xf86 xf86glu xf86glu-devel xshared
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libjpeg liblcms libmng libpng libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         kseg
Copyright:    GPL
Group:        X11/Applications
URL:		  http://www.mit.edu/~ibaran
BuildRoot:    /var/tmp/%{name}-%{version}
Autoreqprov:  on
Summary:      kseg
Version:      0.3
Release:      58
Source0:      kseg-0.3.tar.gz

%description
KSEG is a program for exploring Euclidean geometry. You can create a
construction, such as a triangle with a circumcenter, and then,
as you drag verteces of the triangle, you can see the circumcenter
moving in real time. KSEG is very fast even in big and recursive
constructions and may well be used in math lessons in school.

Authors:
--------
    Ilya Baran <ibaran@mit.edi>

SuSE series: k2de

%prep
%setup 

%build
export QTDIR=/usr/lib/qt2
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/bin
install -s kseg $RPM_BUILD_ROOT%{_prefix}/X11R6/bin

%clean
rm -rf $RPM_BUILD_ROOT^

%files
/usr/X11R6/bin/kseg
%doc COPYING AUTHORS ChangeLog INSTALL INSTALL_PT README 
%doc README.translators VERSION
%doc examples

%changelog -n kseg
* Fri Jun 08 2001 - uwedr@suse.de
- Spec file created from kseg-0.3.tar.gz
